Extending Qt Creator Manual | PluginErrorView

Extending Qt Creator Manual 4.5.2

# PluginErrorView Class

(ExtensionSystem::PluginErrorView)

The PluginErrorView class implements a widget that displays the state and error message of a PluginSpec. More...

Header: | #include <PluginErrorView>

- List of all members, including inherited members

## Public Functions

| PluginErrorView(QWidget *parent = 0)
void | update(PluginSpec *spec)

## Detailed Description

The PluginErrorView class implements a widget that displays the state and error message of a PluginSpec.

Can be used for integration in the application that uses the plugin manager.

See also ExtensionSystem::PluginView.

## Member Function Documentation

### PluginErrorView::PluginErrorView(QWidget *parent = 0)

Constructs a new error view with given parent widget.

### void PluginErrorView::update(PluginSpec *spec)

Reads the given spec and displays its state and error information in this PluginErrorView.